Loading...
Searching...
No Matches
FingerprintGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/ExplicitBitVect.h>`
`#include <DataStructs/SparseBitVect.h>`
`#include <utility>`
`#include <vector>`
`#include <memory>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

struct | RDKit::AdditionalOutput
class | RDKit::FingerprintArguments
| Abstract base class that holds molecule independent arguments that are common amongst all fingerprint types and classes inherited from this would hold fingerprint type specific arguments. More...
class | RDKit::AtomEnvironment< OutputType >
| abstract base class that holds atom-environments that will be hashed to generate the fingerprint More...
class | RDKit::AtomEnvironmentGenerator< OutputType >
| abstract base class that generates atom-environments from a molecule More...
class | RDKit::AtomInvariantsGenerator
| abstract base class for atom invariants generators More...
class | RDKit::BondInvariantsGenerator
| abstract base class for bond invariants generators More...
struct | RDKit::FingerprintFuncArguments
| struct that makes calling the fingerprint generation functions easier More...
class | RDKit::FingerprintGenerator< OutputType >
| class that generates same fingerprint style for different output formats More...
class | RDKit::UnimplementedFPException

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::FPType { RDKit::AtomPairFP , RDKit::MorganFP , RDKit::RDKitFP , RDKit::TopologicalTorsionFP }

## Functions

RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint64_t > * | RDKit::getSparseCountFP (const ROMol &mol, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT SparseBitVect * | RDKit::getSparseFP (const ROMol &mol, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint32_t > * | RDKit::getCountFP (const ROMol &mol, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | RDKit::getFP (const ROMol &mol, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT std::vector< SparseIntVect< std::uint64_t > * > * | RDKit::getSparseCountFPBulk (const std::vector< const ROMol * > molVector, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT std::vector< SparseBitVect * > * | RDKit::getSparseFPBulk (const std::vector< const ROMol * > molVector, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT std::vector< SparseIntVect< std::uint32_t > * > * | RDKit::getCountFPBulk (const std::vector< const ROMol * > molVector, FPType fPType)
RDKIT_FINGERPRINTS_EXPORT std::vector< ExplicitBitVect * > * | RDKit::getFPBulk (const std::vector< const ROMol * > molVector, FPType fPType)